All Vulnerability Reports

USN-4457-1: Software Properties vulnerability


Severity

Medium

Vendor

Canonical Ubuntu

Versions Affected
  • Canonical Ubuntu 16.04
Description

Jason A. Donenfeld discovered that Software Properties incorrectly filtered certain escape sequences when displaying PPA descriptions. If a user were tricked into adding an arbitrary PPA, a remote attacker could possibly manipulate the screen.

CVEs contained in this USN include: CVE-2020-15709

Affected VMware Products and Versions

Severity is medium unless otherwise noted.

Vulnerable Cloud Foundry components individually listed here.

Impacted stemcells may be updated independently of upgrading Tanzu Application Service or Isolation Segment.

  • Isolation Segment
    • 2.7.x versions prior to 2.7.23
    • 2.8.x versions prior to 2.8.17
    • 2.9.x versions prior to 2.9.11
    • 2.10.x versions prior to 2.10.3
  • Operations Manager
    • 2.6 versions prior to 2.6.27
    • 2.7 versions prior to 2.7.23
    • 2.8 versions prior to 2.8.13
    • 2.9 versions prior to 2.9.10
    • 2.10 versions prior to 2.10.1
  • Tanzu Greenplum for Kubernetes
    • All versions prior to 2.0.0
  • VMware Tanzu Application Service for VMs
    • 2.7.x versions prior to 2.7.23
    • 2.8.x versions prior to 2.8.17
    • 2.9.x versions prior to 2.9.11
    • 2.10.x versions prior to 2.10.3
Mitigation

Users of affected products are strongly encouraged to follow the mitigation below. The Cloud Foundry security team recommends upgrading the affected OSS components listed here if applicable. Upgrade VMware Tanzu products that use earlier versions of CF components to new Tanzu releases using new versions linked above. On the Tanzu Network product page for each release, check the Depends On section and/or Release Notes for this information. Releases that have fixed this issue include:

  • Isolation Segment
    • 2.7.23
    • 2.8.17
    • 2.9.11
    • 2.10.3
  • Operations Manager
    • 2.6.27
    • 2.7.23
    • 2.8.13
    • 2.9.10
    • 2.10.1
  • Tanzu Greenplum for Kubernetes
    • 2.0.0
  • VMware Tanzu Application Service for VMs
    • 2.7.23
    • 2.8.17
    • 2.9.11
    • 2.10.3
References
History

2020-09-24: Initial vulnerability report published.